View Issue Details

IDProjectCategoryView StatusLast Update
0002478SymmetricDSBugpublic2016-02-12 13:26
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.29Fixed in Version3.7.29 
Summary0002478: Failed to route and batch on channel
DescriptionA slow system can occasionally get the following error during routing:

Failed to route and batch data on 'default' channel

It seems to happen when the system can read sym_data quickly and fill the peek ahead queue, but can't process and record the batch as quickly.

The outgoing batch table is left with a batch in status of NE and node IF of -1. These batches are empty and never go to a status of OK.
Additional InformationOne theory is the peek ahead queue is filled and it fails to write the end of data (EOD) record, which causes a time out on the read. If that's true, then a potential workaround is to increase the peek ahead window:

routing.peek.ahead.window.after.max.size=4000
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 e965eaea

2016-01-12 13:29:51

admin

Details Diff
0002478: Failed to route and batch on channel
0002478
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

SymmetricDS: 3.7 8dfb2185

2016-01-29 11:20:13

admin

Details Diff
0002478: Failed to route and batch on channel
0002478
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File

Issue History

Date Modified Username Field Change
2016-01-12 11:49 elong New Issue
2016-01-12 11:49 elong Status new => assigned
2016-01-12 11:49 elong Assigned To => elong
2016-01-12 13:30 elong Status assigned => resolved
2016-01-12 13:30 elong Fixed in Version => 3.7.29
2016-01-12 13:30 elong Resolution open => fixed
2016-01-12 14:00 admin Changeset attached => SymmetricDS 3.7 e965eaea
2016-01-29 12:00 admin Changeset attached => SymmetricDS 3.7 8dfb2185
2016-02-12 13:26 chenson Status resolved => closed